/*
 * @Author: Badguy
 * @Date: 2022-04-11 11:00:32
 * @LastEditTime: 2022-04-11 11:37:01
 * @LastEditors: your name
 * @Description: 职员列表
 * have a nice day!
 */

import { staffList as GetOfficerList } from '@/api/postInterface'

export default {
  data() {
    return {
      officerList: []
    }
  },
  methods: {
    officerCheckChangeHandler() {},
    async loadOfficerList(keyWords = '', pageSize = 20, pageNum = 1) {
      try {
        this.$refs['officerList'].setLoading(true)
        const res = await GetOfficerList({
          QueryName: keyWords,
          PageSize: pageSize,
          PageIndex: pageNum
        })
        if (res.code === 0) {
          const { records, pages } = res.returnData
          if (pageNum === 1) {
            this.officerList = records
          } else {
            this.officerList.push(...records)
          }
          this.$refs['officerList'].setTotal(pages)
          this.$refs['officerList'].setLoading(false)
        } else {
          this.$message.error(res.message)
          this.$refs['officerList'].setLoading(false)
        }
      } catch (error) {
        console.log('出错了', error)
        this.$refs['officerList'].setLoading(false)
      }
    }
  }
}
